digiKam Developer Documentation: Digikam::DItemsList Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | Protected Slots | List of all members
Digikam::DItemsList Class Reference
Inheritance diagram for Digikam::DItemsList:

## Public Types
enum | ControlButton { Add = 0x1 , Remove = 0x2 , MoveUp = 0x4 , MoveDown = 0x8 , Clear = 0x10 , Load = 0x20 , Save = 0x40 }
enum | ControlButtonPlacement { NoControlButtons = 0 , ControlButtonsLeft , ControlButtonsRight , ControlButtonsAbove , ControlButtonsBelow }
typedef QFlags< ControlButton > | ControlButtons

## Public Slots
virtual void | slotAddImages (const QList< QUrl > &list)
virtual void | slotRemoveItems ()

## Signals
void | signalAddItems (const QList< QUrl > &)
void | signalContextMenuRequested ()
void | signalFoundRAWImages (bool)
void | signalImageListChanged ()
void | signalItemClicked (QTreeWidgetItem *)
void | signalMoveDownItem ()
void | signalMoveUpItem ()
void | signalRemovedItems (const QList< int > &)
void | signalXMLCustomElementsToRead (QXmlStreamReader &)
void | signalXMLCustomElementsToWrite (QXmlStreamWriter &)
void | signalXMLLoadImageElement (QXmlStreamReader &)
void | signalXMLSaveItem (QXmlStreamWriter &, int)

## Public Member Functions
| DItemsList (QWidget *const parent)
void | appendControlButtonsWidget (QWidget *const widget)
| Append a extra widget to the end of Control Button layout (as a progress bar for example).
void | cancelProcess ()
bool | checkSelection ()
| a function to check whether an image has been selected or not.
void | clearProcessedStatus ()
void | enableControlButtons (bool enable=true)
void | enableDragAndDrop (const bool enable=true)
QUrl | getCurrentUrl () const
int | iconSize () const
DInfoInterface * | iface () const
virtual QList< QUrl > | imageUrls (bool onlyUnprocessed=false) const
DItemsListView * | listView () const
void | loadImagesFromCurrentAlbum ()
| A function to load all the images from the album if no image has been selected by user.
void | loadImagesFromCurrentSelection ()
void | processed (const QUrl &url, bool success)
void | processing (const QUrl &url)
virtual void | removeItemByUrl (const QUrl &url)
void | setAllowDuplicate (bool allow)
void | setAllowRAW (bool allow)
void | setControlButtons (ControlButtons buttonMask)
QBoxLayout * | setControlButtonsPlacement (ControlButtonPlacement placement)
| Plug the control buttons near to the list, following 'placement' position.
void | setCurrentUrl (const QUrl &url)
void | setIconSize (int size)
void | setIface (DInfoInterface *const iface)
void | updateThumbnail (const QUrl &url)
void | setIsLessThanHandler (DItemsListIsLessThanHandler fncptr)
| Methods to handle function pointer used to customize sort items in list.
DItemsListIsLessThanHandler | isLessThanHandler () const

## Protected Slots
virtual void | slotAddItems ()
virtual void | slotClearItems ()
virtual void | slotImageListChanged ()
virtual void | slotLoadItems ()
virtual void | slotMoveDownItems ()
virtual void | slotMoveUpItems ()
void | slotProgressTimerDone ()
virtual void | slotSaveItems ()
virtual void | slotThumbnail (const LoadingDescription &, const QPixmap &)

## Member Function Documentation

## ◆ appendControlButtonsWidget()

void Digikam::DItemsList::appendControlButtonsWidget | ( | QWidget *const | widget | ) |

This method must be call before setControlButtonsPlacement(). Ownership of the widget is not transferred to the DItemList.

## ◆ setControlButtonsPlacement()

QBoxLayout * Digikam::DItemsList::setControlButtonsPlacement | ( | ControlButtonPlacement | placement | ) |

Return the instance of the layout supporting the control buttons, if any. This method must be calls after to use appendControlButtonsWidget().

## ◆ setIsLessThanHandler()

void Digikam::DItemsList::setIsLessThanHandler | ( | DItemsListIsLessThanHandler | fncptr | ) |

See DItemsListIsLessThanHandler type for details.